<template>
	<view class="bottom">
		<!-- 浏览 -->
		<view class="browse">
			{{ item.isBrowse }}
			<view class="bontt">
				<uv-icon name="eye-fill"></uv-icon>
			</view>
		</view>
		<!-- 评论 -->
		<view class="browse">
			{{ item.isComment }}
			<view class="bontt">
				<uv-icon name="chat-fill"></uv-icon>
			</view>
		</view>
		<!-- 点赞 -->
		<view class="browse" @click="onUpClick">
			{{ item.isUp || 0 }}
			<view class="bontt">
				<uv-icon name="thumb-up-fill"></uv-icon>
			</view>
		</view>
		<!-- 分享 -->
		<view class="browse" @click="onDownClick">
			{{ item.isDown || 0 }}
			<view class="bontt">
				<uv-icon name="attach"></uv-icon>
			</view>
		</view>
		
		<callPhone 
		:phone="item.phone" 
		:type="type"
		:phoneTitle="title"
		:pid="item.id"
		:sexName="item.sex" />
	</view>
</template>

<script>
	export default {
		data() {
			return {

			}
		},
		computed : {
			title(){
				let key = {
					0 : 'userName',
				}
				return this.item[key[this.type]]
			},
		},
		props: {
			item: {},
			type : {},
		},
		methods: {
			//点赞
			onUpClick(){
				console.log("点击了点赞")
				
				
			},
			//分享
			onDownClick(){
				console.log("点击了分享")
				
				
			}

		}
	}
</script>

<style scoped lang="scss">
	.bottom {
		display: flex;
		margin-top: 20rpx;
		font-size: 24rpx;

		.browse {
			display: flex;
			justify-content: center;
			align-items: center;
			margin: 0rpx 30rpx;
			color: rgb(132, 132, 132);
			margin-left: 10rpx;
		}

		.bontt {
			margin: 0rpx 5rpx;
		}
	}
</style>